import { groupBaseListType, groupColListType, groupType, selectType, stateListType } from "../type";
export declare function createNewGroupItem(): groupType;
export declare function createNewGroupListItem(index: number): (groupBaseListType & groupColListType);
export declare function createNewStateListItem(config: {
    state: number;
    name?: string;
    isDelete?: boolean;
    isIndexDisable?: boolean;
}): stateListType;
/**
 * 获取所有的槽位数据
 */
export declare function getColDataSourceBySchema(): any;
/**
 * 获取按钮和图片等可以被选中的数据
 */
export declare function getBaseDataSourceBySchema(): selectType[];
export declare function getDefaultIndexOptions(): any[];
export declare function getStateListByGroupIndex(groupIndex: number): stateListType[];
